ISPConfig 3.2 Upgrade problem

Discussion in 'General' started by Bee Group, Oct 20, 2020.

  1. Bee Group

    Bee Group New Member

    Hi
    We have update to ispconfig 3.2 an during installation we got the following

    Restarting services ...
    PHP Warning: Packets out of order. Expected 1 received 0. Packet size=30 in /tmp/ispconfig3_install/install/lib/mysql.lib.php on line 207
    Update finished.

    After that the ispconfig Control panel is not woriking with error 500
    In Apache error log we get these errors

    .php-fcgi-starter: line 6: /usr/bin/php-cgi7.0: No such file or directory
    [Tue Oct 20 13:10:13.878275 2020] [fcgid:warn] [pid 15028] (104)Connection reset by peer: [client 62.74.238.190:61690] mod_fcgid: error reading data from FastCGI server
    [Tue Oct 20 13:10:13.878318 2020] [core:error] [pid 15028] [client 62.74.238.190:61690] End of script output before headers: index.php

    All the other Web Sites are working fine
    Regards
     
  2. Croydon

    Croydon ISPConfig Developer ISPConfig Developer

    Hello,

    do you have a custom config file in /usr/local/ispconfig/server/conf-custom/install/apache_ispconfig_fcgi_starter.master ?
    It seems you updated your base os and such you have the wrong settings for PHP in your ISPConfig server settings.

    1. get your UI working again by manually adjusting the /var/www/php-fcgi-scripts/ispconfig/.php-fcgi-starter file (remember doing chattr -i beforehand!).
    2. check your UI (server config -> web -> php cgi settings) so you are using the correct php cgi binary (which you currently don't)
     
    Th0m likes this.
  3. Bee Group

    Bee Group New Member

    HI
    Hi
    Thank you for your quick answer.
    It worked
    Thanks again
     
  4. labsy

    labsy Member

    I had the samee issue on NGINX server with PHP 7.2 FPM. I am almost sure I only have 1 PHP version installed.
    But in my case I did not need repair - UI worked despite of error.
    Do you think updater finished it's job properly? Maybe I would re-install it...but how?

    This was the last few lines on screen - is this OK? Version says it is 3.2 now:
    Code:
    Create new ISPConfig SSL certificate (yes,no) [no]:
    
    Reconfigure Crontab? (yes,no) [yes]:
    
    Updating Crontab
    Restarting services ...
    PHP Warning:  Packets out of order. Expected 1 received 0. Packet size=30 in /tmp/update_stable.sh.WRB7B6TWmN/ispconfig3_install/install/lib/mysql.lib.php on line 207
    Update finished.
    
    EDIT: My bad...I DO have 2 versions of PHP_FPM, 7.2 and 7.4, later manually added on top of Ubuntu 18.04. Most probably I did not select default PHP for IPSConfig...must find out, how to do that.
     
    Last edited: Nov 2, 2020
  5. Jesse Norell

    Jesse Norell ISPConfig Developer Staff Member ISPConfig Developer

    For php-fpm you a2enconf one version or the other; for php cli you use update-alternatives to set the default version.
     

Share This Page